apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  namespace: asag
  name: k8s-operator-0.0.0-bfe37a37
spec:
  name: k8s-operator
  version: 0.0.0-bfe37a37
  includes:
    - vendor: asag
      name: defaults-operator
      version: 0.2.2
  clusters:
    - name: k8s-operator
      flags:
        - key: v1_role
          from: value
          value: k8s-operator
          to: label
      sizing:
        initial: 1
        minimum: 1
        maximum: 1
        increment: 0
      podspec:
        containers:
          - name: k8s-operator
            image: aep/base_s6
      topologyqueries:
        - name: allnodes
          format: array
          flags:
            - key: operator_identifier
              value: k8s-operator
          groupby:
            - v1_clusterid
            - v1_role
          scope: global
  operator:
    version: '1.0'
    flags:
      - key: operator_identifier
        from: value
        value: k8s-operator
        to: label
  settings:
    - name: environment
      schema:
        default: k8s_prod
